Skip to main content
POST
/
webhooks
/
invoke
Invoke a test webhook event
curl --request POST \
  --url https://api-sandbox.orum.io/webhooks/invoke \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "event_type": "person_created",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_reference_id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "status": "created",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "middle_name": "<string>",
    "date_of_birth": "<string>",
    "addresses": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "home",
        "address1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "US",
        "zip5": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "address2": "<string>"
      }
    ],
    "contacts": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "email",
        "value": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "status_reasons": [
      {
        "reason_code": "invalid_address",
        "reason_code_message": "Address submitted is a non-supported address type"
      }
    ],
    "closed_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}
'
{
  "error_code": "<string>",
  "message": "<string>",
  "details": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Body

application/json
event_type
enum<string>
required

The type of event you want to invoke a webhook for.

Available options:
person_created,
person_verified,
person_rejected,
person_restricted,
person_unverified,
person_closed
data
object
required

Response

201 response.